# serial: serial::Serial::ScopedWriteLock Class Reference

serial 1.0 Cross-platformserialportlibraryforC++

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Enumerations Enumerator Defines
Public Member Functions
serial::Serial::ScopedWriteLock Class Reference

## Public Member Functions

| ScopedWriteLock (SerialImpl *pimpl)
| ~ScopedWriteLock ()

## Constructor & Destructor Documentation

serial::Serial::ScopedWriteLock::ScopedWriteLock | ( | SerialImpl * | pimpl | ) | `[inline]`

                                         : pimpl_(pimpl) {
        this->pimpl_->writeLock();
      }

serial::Serial::ScopedWriteLock::~ScopedWriteLock | ( |  | ) | `[inline]`

                         {
        this->pimpl_->writeUnlock();
      }

The documentation for this class was generated from the following file:

- src/serial.cc